function [I, E0] = selectSupportSet(L0, t0, N)
eps = 1e-7;

[r c] = size(L0);
I = [];
for j=1:N,
for i=1:r,
    L = L0([I i],:); t = t0;
    H = t*L'*inv(L*L'+eps*eye(size(L,1)));
  %  H = weightedLSQ(L,t,1./mean(abs(t),2));
    E(i) = mean(sqrt(sum((H*L-t).^2)));
end;
[E0(j) I0] = min(E);
I = [I I0];
disp(sprintf('%3.1f%%',100*j/N))
end;
