function [L,T,x] = genExamples4(im, R, X,genData, L_old, t_old, JJ, model )



[r c] = size(im); sc = genData.sc;
%convSz = round(1+2*R*sc/M); im = conv2(double(im),ones(convSz)/(convSz^2),'same')/255;
im = double(im);

[A B] = meshgrid([-1:1/20:1], [-1:1/20:1]); x = round(sc*[R/2*A(:)'; R/2*B(:)']);     % Considered grid of points
x = x(:,JJ);
%% Generate exaples
t0 = zeros(size(t_old));
t_pred0 = model(end).H*L_old;
t_pred = zeros(5,size(t_pred0,2));
t_pred(genData.predTrans,:) = t_pred0;
t0(1,:) = R*t_old(1,:) - round([R].*(t_pred(1,:)));
t0(2,:) = R*t_old(2,:) - round([R].*(t_pred(2,:)));
t0(3,:) = t_old(3,:) - t_pred(3,:);
t0(4,:) = t_old(4,:) - t_pred(4,:); 
t0(5,:) = t_old(5,:) - t_pred(5,:); 

L = zeros(size(x,2),size(t0,2));
T = zeros(5 ,size(t0,2)); %length(genData.predTrans),size(tRnd,2));
destr = false(1,size(t0,2));

for i=1:size(t0,2),
    xp = transformPoints(x,t0(:,i)); xx = round(X(1)+xp(1,:)); yy = round(X(2)+xp(2,:));
    if all((xx>0)&(yy>0)&(xx<r)&(yy<c)),
        J = im(sub2ind(size(im),xx,yy));
        L(:,i) = J';%[L J'];%-I']; 
        % T = [T [genData.tMax*tRnd(:,i); zRnd-1]];%
        T(:,i) = [t0(1:2,i)./[R;R]; t0(3:5,i)];        
    else
        destr(i) = true;
    end;
end;
L = L(:,~destr);
T = T(:,~destr);

%L = L + genData.noise*rand(size(L));

