function [p out]= linTrack(im, p0, model, options)

p = p0;
[r c] = size(im); out = true;

for k=options.firstIter:(options.firstIter+options.iter-1),   
    x = round(model.X(k).x + p(:,ones(1,size(model.X(k).x,2))));
     if all((x(1,:)>0)&(x(2,:)>0)&(x(1,:)<r)&(x(2,:)<c))
       %   imshow(im); hold on; plot(model.C(2)+p(2),model.C(1)+p(1),'rx')
       % I = im(sub2ind(size(im),x(1,:),x(2,:)))';
        I = im(x(2,:)*r+x(1,:)-r)';
        dp = model.H(k).h*I;
        p = p - [dp(1);dp(2)];
       
     else 
        out = false;
        break
    end;    
end;
%J = model.col(k).col';

